Bug 528760 - Fix misspelled constant PREG_SPLIT_NI_EMPTY in sqimap_get_message
Summary: Fix misspelled constant PREG_SPLIT_NI_EMPTY in sqimap_get_message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail
Version: 4.9
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On: 528758
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-13 15:56 UTC by Adam Stokes
Modified: 2018-10-27 16:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 528758
Environment:
Last Closed: 2010-03-05 13:58:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
fix typo (612 bytes, patch)
2009-10-13 15:56 UTC, Adam Stokes
no flags Details | Diff

Description Adam Stokes 2009-10-13 15:56:33 UTC
Created attachment 364618 [details]
fix typo

+++ This bug was initially created as a clone of Bug #528758 +++

Created an attachment (id=364617)
fix typo

Description of problem:

There was a CONSTANT typo in squirrelmail version < 1.4.9, this was fixed in December of 2006 resulting in the following errors:

Error while replying:
Warning: preg_split() expects parameter 4 to be long, string given in
/usr/share/squirrelmail/functions/imap_messages.php on line 808

Error while sending regularly:
Warning: Invalid argument supplied for foreach() in
/usr/share/squirrelmail/functions/mime.php on line 52


How reproducible:

view /usr/share/squirrelmail/functions/imap_messages.php on line 808 in rhel4, squirrelmail-1.4.8-5.el4_8.5.noarch

[root@esx02-sa-el4-i386 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux ES release 4 (Nahant Update 8)
[root@esx02-sa-el4-i386 ~]# rpm -q squirrelmail
squirrelmail-1.4.8-5.el4_8.5
[root@esx02-sa-el4-i386 ~]# grep -n /usr/share/squirrelmail/functions/imap_messages.php -e PREG_SPLIT_NI
808:                $flags = preg_split('/ /', $regs[1],-1,'PREG_SPLIT_NI_EMPTY');
[root@esx02-sa-el4-i386 ~]#


Steps to Reproduce:



Actual results:

Expected results:

Additional info:

http://squirrelmail.org/changelog.php

Version 1.4.9 - 2 December 2006
- Fix misspelled constant PREG_SPLIT_NI_EMPTY in sqimap_get_message (#1543573).

Comment 1 Michal Hlavinka 2010-03-05 13:58:35 UTC
I'm sorry for not addressing the issue in RHEL-4. As squirrelmail
is not scheduled for update in RHEL-4.9, I'm closing that bugzilla WONTFIX. If
you are still experiencing the issue with RHEL-5, feel free to reopen it
against RHEL-5.


Note You need to log in before you can comment on or make changes to this bug.